List AI Deliverability Agent feed items
curl --request GET \
--url https://api.instantly.ai/api/v2/ai-agents/deliverability/{id}/feed-items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/deliverability/{id}/feed-items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/ai-agents/deliverability/{id}/feed-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/ai-agents/deliverability/{id}/feed-items")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/deliverability/{id}/feed-items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/deliverability/{id}/feed-items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "01a08b36-b22a-7668-82c5-015f6fcdbebb",
"organization_id": "01a08b36-b22a-7668-82c5-015f6fcdbebb",
"agent_id": "01a08b36-b22a-7668-82c5-015f6fcdbebb",
"feed_code": "workspace_settings_recommendation",
"kind": "recommendation",
"status": "todo",
"severity": "warning",
"priority": 100,
"payload": {},
"dedupe_key": "workspace_settings_recommendation:workspace:01956fbd-0eb1-72db-a565-82977a586084",
"timestamp_created": "2026-09-10T12:06:52.714Z",
"timestamp_updated": "2026-09-10T12:06:52.714Z",
"source_activity_id": "campaign",
"subject_type": "campaign",
"subject_id": "campaign",
"subject_name": "campaign",
"result_payload": {},
"action_code": "campaign",
"action_status": "campaign",
"action_payload": {},
"completed_at": "2026-09-10T12:06:52.714Z",
"dismissed_at": "2026-09-10T12:06:52.714Z",
"expires_at": "2026-09-10T12:06:52.714Z"
}
],
"next_starting_after": "01a08b36-bfd5-7b18-894f-25687ddbfaa3"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}AI Deliverability Agent
List AI Deliverability Agent feed items
List the activity-feed items of an AI Deliverability Agent, newest first.
Requires one of the following scopes: ai_agents:read, ai_agents:all, all:read, all:all
GET
/
api
/
v2
/
ai-agents
/
deliverability
/
{id}
/
feed-items
List AI Deliverability Agent feed items
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
AI Deliverability Agent ID. Call GET /api/v2/ai-agents/deliverability and use the returned agent.id value to retrieve the workspace default agent ID.
Example:
"01a08b36-b22a-7668-82c5-015f6fcdbebb"
Query Parameters
The number of items to return
Required range:
1 <= x <= 100Example:
10
The ID of the last item in the previous page - used for pagination. You can use the value of the next_starting_after field from the previous response.
Example:
"01956fbd-0eb1-72db-a565-82977a586084"
Filter feed items by status.
Available options:
all, todo, done Example:
"todo"